BTHIDD(8)

NAME
bthidd - Bluetooth HID daemon

SYNOPSIS
bthidd -h
bthidd [-a BD_ADDR] [-c file] [-H file] [-p file] [-t val]

DESCRIPTION
The bthidd daemon handles remote Bluetooth HID devices.

The options are as follows:

-a BD_ADDR
    Specify the local address to listen on. By default, the server will listen on ANY address. The address can be specified as BD_ADDR or name. If a name was specified, the bthidd daemon will attempt to resolve the name via bt_gethostbyname(3).

-c file
    Specify path to the configuration file. The default path is /etc/bluetooth/bthidd.conf.

-d  Do not detach from the controlling terminal, i.e., run in foreground.

-H file
    Specify path to the known HIDs file. The default path is /var/db/bthidd.hids.

-h  Display usage message and exit.

-p file
    Specify path to the PID file. The default path is /var/run/bthidd.pid.

-t val
    Specify client rescan interval in seconds. The bthidd daemon will periodically scan for newly configured Bluetooth HID devices or disconnected “passive” Bluetooth HID devices and will attempt to establish an outgoing connection. The default rescan interval is 10 seconds.

KNOWN LIMITATIONS
The bthidd daemon currently does not handle key auto repeat and double click mouse events. Those events work under X(7) just fine, but not in text console.

This manual page needs more work. A manual page documenting the format of the /etc/bluetooth/bthidd.conf configuration file is needed as well.

FILES
/etc/bluetooth/bthidd.conf
/var/db/bthidd.hids
/var/run/bthidd.pid

SEE ALSO
kbdmux(4), vkbd(4), bthidcontrol(8)

AUTHORS
Maksim Yevmenkin <m_evmenkin@yahoo.com>

CAVEATS
Any Bluetooth HID device that has HUP_KEYBOARD or HUP_CONSUMER entries in its descriptor is considered as “keyboard”. For each “keyboard” Bluetooth HID device, the bthidd daemon will use a separate instance of the virtual keyboard interface vkbd(4). Therefore the kbdmux(4) driver must be used to properly multiplex input from multiple keyboards.